C API Functions

## udbListReference

### Description

Lookup the list of references for the specified entity. Call udbListReferenceFree() to free this list.

### Syntax

     #include "udb/udb.h"
     void udbListReference(UdbEntity entity,
                          UdbReference **refs,
                          int *items)

### Arguments

Argument | description
UdbEntity entity | Specify the entity to obtain references for.
UdbReference **refs | Return allocated array of references.
int *items | If not NULL, return size of references array.

### Return Values

There are no function return values.

### Example Usage

This example gets all references for the entity and prints out the reference information, and then frees the reference list.

     udbListReference(entity, &refs, &size);
    printf ("References found for %s: \n",
    udbEntityNameLong(entity) );
    for (i=0; i<size; i++) {
        printf ("  %s: %s[%d]\n",
                  udbKindShortname(udbReferenceKind(refs[i])),
                  udbEntityNameShort(udbReferenceFile(refs[i])),
                  udbReferenceLine(refs[i]));
    }
    udbListReferenceFree(refs);

### See Also

udbListReferenceFile to get list of references within a specified file.

udbListReferenceFilter to filter the list of references.

udbListReferenceFree to free the list of references.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com